Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4Quasmon.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4Quasmon.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4Quasmon.cc	(revision 1055)
@@ -1243,10 +1264,10 @@
               rMass=mPi0;                     // Safety decay in pi0
               rPDG=111;
-		          }
+            }
             else
             {
               rMass=0.;                       // Safety decay in gamma
               rPDG=22;
-		          }
+            }
           }
         }
@@ -1255,7 +1276,7 @@
         G4cout<<"G4Q::HQ:hsflagTRUE,s="<<sPDG<<","<<sMass<<",r="<<rPDG<<","<<rMass<<G4endl;
 #endif
-	     }
+      }
       else                                    // ---> "Something was selected" case
-	     {
+      {
         G4QCandidate* curCand = theQCandidates[i];// Pointer toSelectedCandidate:hadr/fragm
         sPDG  = curCand->GetPDGCode();        // PDG of the selected candidate 
@@ -1266,5 +1287,5 @@
         //@@ For clusters use another randomization & a loop over possible parent clusters
         if(sPDG>MINPDG&&sPDG!=NUCPDG)         // ===> "Fragment" case
-	       {
+        {
           G4int ip=0;
           G4int nParCandid = curCand->GetPClustEntries();
@@ -1278,7 +1299,7 @@
             G4cerr<<G4endl;
             throw G4QException("G4Quasmon::HadronizeQuasmon:NoParentClust forTheFragment");
-	         }
+          }
           else                                // ---> "Parent cluster was found" case
-	         {
+          {
             G4double totPP = sppm * G4UniformRand();
             while(curCand->TakeParClust(ip)->GetProbability() < totPP) ip++;
@@ -1286,23 +1307,23 @@
             G4cout<<"G4Q::HQ:p#ip="<<ip<<",f#i="<<i<<",tP="<<totPP<<",sP="<<sppm<<G4endl;
 #endif
-	         }
+          }
           G4QParentCluster* parCluster=curCand->TakeParClust(ip);
           pPDG  = parCluster->GetPDGCode();
-	         G4QPDGCode pQPDG(pPDG);
+          G4QPDGCode pQPDG(pPDG);
           pQC   = pQPDG.GetQuarkContent();
           pBaryn= pQC.GetBaryonNumber();
-	         pMass = parCluster->GetEBMass();    // Environment Bounded Mass
-	         pNMass = parCluster->GetNBMass();   // NuclBoundedMass @@Env.Reduce dosn't work
-	         transQC = parCluster->GetTransQC();
-	         delta = parCluster->GetEBind();     // Environmental Binding
-	         deltaN = parCluster->GetNBind();    // Nuclear Binding
-	         loli  = parCluster->GetLow();
-	         hili  = parCluster->GetHigh();
+          pMass = parCluster->GetEBMass();    // Environment Bounded Mass
+          pNMass = parCluster->GetNBMass();   // NuclBoundedMass @@Env.Reduce dosn't work
+          transQC = parCluster->GetTransQC();
+          delta = parCluster->GetEBind();     // Environmental Binding
+          deltaN = parCluster->GetNBind();    // Nuclear Binding
+          loli  = parCluster->GetLow();
+          hili  = parCluster->GetHigh();
           //G4double dhil=.0001*(hili-loli);    // Safety factor
           //loli += dhil;
           //hili -= dhil;
-	         npqp2 = parCluster->GetNQPart2();
+          npqp2 = parCluster->GetNQPart2();
           // @@ One can get otherUsefulParameters of the parent cluster for hadronization
-	         G4QPDGCode sQPDG(curCand->GetPDGCode());
+          G4QPDGCode sQPDG(curCand->GetPDGCode());
           sQC   = sQPDG.GetQuarkContent();
           //if(sPDG==90001001 && G4UniformRand()>0.75) sMass=np; //@@ n-p pair
@@ -1315,5 +1336,5 @@
                 <<") = curQ="<<curQ<<",InvBinding="<<delta<<",pM="<<pMass<<pQC<<G4endl;
 #endif
-	       }
+        }
         else                                  // ===> "Hadron" case
         {
@@ -1327,5 +1348,5 @@
                 <<",C="<<theQCandidates[i]->GetPDGCode()<<",Q="<<curQ<<",M2="<<sM2<<G4endl;
 #endif
-	       }
+        }
         G4QContent resNQC=totQC-sQC;          // Quark Content of the totNucleus-Fragment
         G4QNucleus resTN(resNQC);   
@@ -1345,5 +1366,5 @@
         {
           // *** LIM ***
-		        G4QContent RNQC=curQ+envQC;
+          G4QContent RNQC=curQ+envQC;
           if(sPDG>MINPDG&&sPDG!=NUCPDG) RNQC-=pQC; // ==> "Nuclear Fragment Radiation" case
           if(envA-pBaryn>bEn) RNQC=curQ+bEnQC; // Leave the minimum environment
@@ -1351,12 +1372,12 @@
           if(RNPDG==10) minSqN=G4QChipolino(RNQC).GetMass2();// MinSqM of DiHadron of Chipo
           else if(!RNPDG) // It never should happen as curQ is real and env/bEn QC is > 0
-	         {
-				  						//#ifdef debug
+          {
+            //#ifdef debug
             G4cout<<"**G4Q::HQ:*KinematicTotal*, PDG="<<RNPDG<<curQ<<", QC="<<RNQC<<G4endl;
-										  //#endif
+            //#endif
             minSqN=1000000.;
-	         }
+          }
           else
-		        {
+          {
             G4double minN=G4QPDGCode(RNPDG).GetMass();
             minSqN=minN*minN;                 // SquaredGSMass of ResidQuasmon+ResidEnviron
@@ -1365,7 +1386,7 @@
 #endif
           }
-	       }
+        }
         else
-						  {
+        {
 #ifdef debug
           G4cout<<"*G4Q::HQ:EnvironmentA="<<envA<<" < SecondaryFragmentA="<<pBaryn<<G4endl;
@@ -1400,75 +1421,77 @@
             G4double qpeM=G4QNucleus(envZ+rqZ,envN+rqN,envS+rqS).GetGSMass();
 #ifdef debug
-										  G4cout<<"G4Q::HadQ:Z="<<rqZ<<",N="<<rqN<<",S="<<rqS<<",eZ="<<envZ<<",eN="<<envN
+            G4cout<<"G4Q::HadQ:Z="<<rqZ<<",N="<<rqN<<",S="<<rqS<<",eZ="<<envZ<<",eN="<<envN
                   <<",eS="<<envS<<",ePDG="<<envPDG<<",eM="<<envM<<",tM="<<qpeM<<G4endl;
 #endif
             minT=qpeM-envM;
           }
-          minSqT=minT*minT;      // Squared minimum mass of residual quasmon
+          minSqT=minT*minT;               // Squared minimum mass of residual quasmon
 #ifdef debug
           G4cout<<"G4Q::HQ:rPDG="<<rqPDG<<curQ<<",minT="<<minT<<",minSqT="<<minSqT
                 <<",hsfl="<<hsflag<<G4endl;
 #endif
-          G4double newT=0.;    // Prototype of minimal TotBoundQuasmon mass
+          G4double newT=0.;               // Prototype of minimal TotBoundQuasmon mass
           // (Hadron with environment 
-	  // (see above?) || QEX) && (Q==nucFrag || Q==n,p,Lambda)
+          // (see above?) || QEX) && (Q==nucFrag || Q==n,p,Lambda)
 
           if ( ( (sPDG < MINPDG && envPDG > MINPDG && envPDG != NUCPDG) || 
-		 (sPDG > MINPDG && sPDG != NUCPDG && envPDG > pPDG) )
-           && 
-	       ( (rqPDG > MINPDG && rqPDG != NUCPDG) || 
-                  rqPDG==2112 || 
-                  rqPDG==2212 || 
-		  rqPDG==3122) )
-          {
-            if(sPDG<MINPDG) {     // The radiatedBaryon is aVaquum(QF) particle
+                 (sPDG > MINPDG && sPDG != NUCPDG && envPDG > pPDG)
+               ) && ( (rqPDG > MINPDG && rqPDG != NUCPDG) || 
+                      rqPDG==2112 || rqPDG==2212 || rqPDG==3122
+                    )
+             )
+          {
+            if(sPDG<MINPDG)               // The radiatedBaryon is aVaquum(QF) particle
+            {
               // *** LIM ***
-              G4QContent rtQC=curQ;    // Total Residual Quasmon Quark Content
-              if (envA > bEn) {        // Nucl Env > than A_max
-	  	reM=mbEn;
+              G4QContent rtQC=curQ;       // Total Residual Quasmon Quark Content
+              if (envA > bEn)             // Nucl Env > than A_max
+              {
+                reM=mbEn;
                 rtQC+=bEnQC;
-	      } else {
-                reM=envM;              // MinMassOfResidEnviron = MassOfEnviron
+              }
+              else
+              {
+                reM=envM;                 // MinMassOfResidEnviron = MassOfEnviron
                 rtQC+=envQC;              // Nucl Env is below A_max=bEn
-	      }
+              }
               G4QNucleus rtN(rtQC);       // Create a pseudo-nucleus for E+Q
               rtM=rtN.GetMZNS();          // MinMass of TotalResidualNucleus (+hadron)
               newT=rtM-reM;               // The effective mass
 #ifdef debug
-		            G4cout<<"G4Q::HQ:***VacuumFragmentation** M="<<newT<<",rM="<<rtM<<rtQC
+              G4cout<<"G4Q::HQ:***VacuumFragmentation** M="<<newT<<",rM="<<rtM<<rtQC
                     <<",eM="<<envM<<",mM="<<minT<<G4endl;
 #endif
-	    } else {          // The RadiatedHadron is aQuarkExchange frag.
-	
-              G4QContent reQC=envQC-pQC;      // Total Residual Quark Content
+            }
+            else                          // The RadiatedHadron is aQuarkExchange frag.
+            {
+ 
+              G4QContent reQC=envQC-pQC;  // Total Residual Quark Content
               if(envA-pBaryn>bEn) reQC=bEnQC; // Nucl Env - fragment > than A_max
-              G4QNucleus reN(reQC);   // Create a pseudoNucleus for ResidualNucleus
-              reM=reN.GetMZNS();   // Min Mass of the residual EnvironmentNucleus
+              G4QNucleus reN(reQC);       // Create a pseudoNucleus for ResidualNucleus
+              reM=reN.GetMZNS();          // Min Mass of the residual EnvironmentNucleus
               // *** LIM ***
-              G4QContent rtQC=curQ;      // Total Quasmon Quark Content
-#ifdef debug
-	      G4cout<<"G4Q::HQ:reQC="<<reQC<<",rtQC="<<rtQC<<",eA="<<envA<<",pB="<<pBaryn
-                  <<",bE="<<bEn<<bEnQC<<G4endl;
-#endif
-              rtQC+=reQC;         // Quasmon + (effective) nuclear environment
-              G4QNucleus rtN(rtQC);    // Create a pseudo-nucleus for residual ENE
-              rtM=rtN.GetMZNS();       // MinMass of TotalResidualNucleus (fragment)
+              G4QContent rtQC=curQ;       // Total Quasmon Quark Content
+#ifdef debug
+              G4cout<<"G4Q::HQ:reQC="<<reQC<<",rtQC="<<rtQC<<",eA="<<envA<<",pB="<<pBaryn
+                    <<",bE="<<bEn<<bEnQC<<G4endl;
+#endif
+              rtQC+=reQC;                 // Quasmon + (effective) nuclear environment
+              G4QNucleus rtN(rtQC);       // Create a pseudo-nucleus for residual ENE
+              rtM=rtN.GetMZNS();          // MinMass of TotalResidualNucleus (fragment)
               // *** LIM ***
-	      if (envA-pBaryn > bEn) {
-                newT=rtM-mbEn;
-              } else {
-                newT=rtM-reM;
-	      }  
-#ifdef debug
-	      G4cout<<"G4Q::HQ:NuclFrM="<<newT<<",r="<<rtM<<rtQC<<",e="<<envM<<envQC<<",p="
+              if (envA-pBaryn > bEn) newT=rtM-mbEn;
+              else                   newT=rtM-reM;
+#ifdef debug
+              G4cout<<"G4Q::HQ:NuclFrM="<<newT<<",r="<<rtM<<rtQC<<",e="<<envM<<envQC<<",p="
                     <<pMass<<pQC<<",re="<<reM<<reQC<<",exEn="<<totMass-rtM-sMass<<G4endl;
 #endif
-	    }
+            }
             if(minT<newT) newT=minT;
-	  }
-          minSqB=newT*newT;     // MinSquaredMass of BoundedResidualQuasmon
-        }
-#ifdef debug
-	G4cout<<"G4Q::HQ:rq="<<rqPDG<<",miT="<<minSqT<<",miB="<<minSqB<<",M="<<rtM<<G4endl;
+          }
+          minSqB=newT*newT;               // MinSquaredMass of BoundedResidualQuasmon
+        }
+#ifdef debug
+ G4cout<<"G4Q::HQ:rq="<<rqPDG<<",miT="<<minSqT<<",miB="<<minSqB<<",M="<<rtM<<G4endl;
 #endif
         if(!minSqT)
@@ -1479,7 +1502,7 @@
         G4double m2 = BIG2; //@@ justBigNumber// Prototype/Squared Mass of Residual Quasmon
         G4double kp=0.;                       // 3-Mpm/Mass for the residual Quasmon
-        if (sPDG > MINPDG && sPDG != NUCPDG) {       // ==> NuclearFragmentCandidate hadronization
+        if (sPDG > MINPDG && sPDG != NUCPDG) {// ==> NuclearFragmentCandidate hadronization
 #ifdef debug 
-	  G4cout<<"G4Q::HQ: BoundM="<<pMass<<",FreeM="<<sMass<<",QM="<<quasM<<G4endl;
+          G4cout<<"G4Q::HQ: BoundM="<<pMass<<",FreeM="<<sMass<<",QM="<<quasM<<G4endl;
 #endif
           // = = = =  P u r e   k i n e m a t i c a l   c a l c u l a t i o n s:  = = = = =
@@ -1488,15 +1511,16 @@
           G4LorentzVector tot4Mom=q4Mom+cl4Mom;  // @@ Just for checking
 #ifdef debug
-	  G4cout<<"G4Q::HQ:Q("<<quasM<<")->k("<<k4Mom<<")+CRQ("<<cr4Mom.m()<<")"<<G4endl;
+          G4cout<<"G4Q::HQ:Q("<<quasM<<")->k("<<k4Mom<<")+CRQ("<<cr4Mom.m()<<")"<<G4endl;
 #endif
           G4LorentzVector cc4Mom=k4Mom+cl4Mom;// 4-mom of ColoredFragment (before kappa)
           G4double ccM2=cc4Mom.m2();          // SquaredMass of the ColoredFragment
           G4double frM2=sMass*sMass;          // MinSuaredMass of the OutgoingFragment
-          if (ccM2 <= frM2) {                 // Decaying ColoredFragmM < FragmM 
-#ifdef debug
-	    G4cout<<"***G4Q::HQ:FailedToFind FragmM:"<<ccM2<<"<"<<frM2<<",M="<<pMass<<"+k="
+          if (ccM2 <= frM2)                   // Decaying ColoredFragmM < FragmM 
+          {
+#ifdef debug
+            G4cout<<"***G4Q::HQ:FailedToFind FragmM:"<<ccM2<<"<"<<frM2<<",M="<<pMass<<"+k="
                   <<k4Mom<<"="<<sqrt(ccM2)<<cc4Mom<<" < fM="<<sMass<<",miK="<<minK<<G4endl;
 #endif
-	    dMass=pMass-pNMass;               // Remember the difference
+            dMass=pMass-pNMass;               // Remember the difference
             pMass=pNMass;
             delta=deltaN;
@@ -1505,19 +1529,24 @@
             cc4Mom=k4Mom+cl4Mom;              // 4-mom of ColoredFragment (before kappa)
             ccM2=cc4Mom.m2();
-            if (ccM2 <= frM2) {
-#ifdef debug
-	      G4cout<<"G4Q::HQ:hsflagTRUE*NuclBINDING,ccM2="<<ccM2<<"<frM2="<<frM2<<G4endl;
+            if (ccM2 <= frM2)
+            {
+#ifdef debug
+              G4cout<<"G4Q::HQ:hsflagTRUE*NuclBINDING,ccM2="<<ccM2<<"<frM2="<<frM2<<G4endl;
 #endif
               hsflag=true;                    // Flag of decay in Q+S
-	    } else {
-#ifdef debug
-	      G4cout<<"G4Q::HQ:***NUCLEAR BINDING***ccM2="<<ccM2<<" > frM2="<<frM2<<G4endl;
+            }
+            else
+            {
+#ifdef debug
+              G4cout<<"G4Q::HQ:***NUCLEAR BINDING***ccM2="<<ccM2<<" > frM2="<<frM2<<G4endl;
 #endif
               nucflag=true;                   // Nuclear binding was used
-	    }
-	  } else {
+            }
+          }
+          else
+          {
 #ifdef debug
             G4double crMass2 = cr4Mom.m2();   // SquredMass of ColouredResidualQuasmon
-	           G4cout<<"G4Q::HQ:cM2="<<crMass2<<"="<<rEP*(rEP-rMo-rMo)<<",h="<<hili<<",l="
+            G4cout<<"G4Q::HQ:cM2="<<crMass2<<"="<<rEP*(rEP-rMo-rMo)<<",h="<<hili<<",l="
                   <<loli<<G4endl;
 #endif
@@ -1532,12 +1561,13 @@
             G4double dM=0.;
             if(sPDG==90001001) dM=2.25;       // Binding energy of the deuteron ???
-	           G4cout<<"G4Q::HQ:Is xE="<<excE<<" > sM="<<sMass<<"-pM="<<pMass<<"-dM="<<dM
+            G4cout<<"G4Q::HQ:Is xE="<<excE<<" > sM="<<sMass<<"-pM="<<pMass<<"-dM="<<dM
                   <<" = "<<sMass-pMass-dM<<G4endl;
 #endif
 #ifdef debug
-	           G4cout<<"G4Q::HQ: must totM="<<totMass<<" > rTM="<<resTNM<<"+sM="<<sMass<<" = "
+            G4cout<<"G4Q::HQ: must totM="<<totMass<<" > rTM="<<resTNM<<"+sM="<<sMass<<" = "
                   <<sMass+resTNM<<G4endl;
 #endif
-	    if(resTNM && totMass<resTNM+sMass) { // Probably it never takes place
+            if(resTNM && totMass<resTNM+sMass)// Probably it never takes place
+            {
 #ifdef ppdebug
               G4cout<<"***G4Quasmon::HadronizeQuasmon:***PANIC#1***TotalDE="<<excE<<"< bE="
@@ -1548,7 +1578,6 @@
               qEnv=theEnvironment;            // Update the QEnvironment ???
               return theQHadrons;
-	    }
-
-	    G4double   ex=kLS-delta;          // EnvironmentExcess of parton energy in LS
+            }
+            G4double   ex=kLS-delta;          // EnvironmentExcess of parton energy in LS
             G4double   dex=ex+ex;
             G4QContent tmpEQ=envQC-pQC;       // Quark content for Residual Environment
@@ -1557,5 +1586,5 @@
             G4double   tmpNM=tmpN.GetMZNS();  // Mass of Residual Environment
 #ifdef debug
-	    G4cout<<"G4Q::HQ:eQC="<<envQC<<",pQC="<<pQC<<",rEnvM="<<tmpNM<<",hsfl="<<hsflag
+            G4cout<<"G4Q::HQ:eQC="<<envQC<<",pQC="<<pQC<<",rEnvM="<<tmpNM<<",hsfl="<<hsflag
                   <<G4endl;
 #endif
@@ -1613,5 +1642,5 @@
               G4double ctkk=1.-(dex/(1.-z)-pMass)/kLS;// cos(theta_k,kappa) in LS
 #ifdef ppdebug
-	             if(qCount) G4cout<<"G4Q::HQ:qC="<<qCount<<",ct="<<ctkk<<",M="<<pMass<<",z="
+              if(qCount) G4cout<<"G4Q::HQ:qC="<<qCount<<",ct="<<ctkk<<",M="<<pMass<<",z="
                                <<z<<",zl="<<pow(loli,pw)<<",zh="<<pow(hili,pw)<<",dE="
                                <<totMass-totM<<",bE="<<sMass-pMass<<G4endl;
@@ -1638,5 +1667,5 @@
                 if(ctc>1.) ctc=1.;
                 else if(ctc<-1.) ctc=-1.;
-			           }
+              }
               kp4Mom=zeroLV;                           // 4-mom update for RecoilQuark (q)
               fr4Mom=G4LorentzVector(0.,0.,0.,sMass);  // 4-mom update for the fragment
@@ -1650,9 +1679,9 @@
               //G4ThreeVector kp3v=kp4Mom.vect();
               //G4double ctr=cc3v.dot(kp3v)/cc3v.mag()/kp3v.mag();
-	             //G4cout<<"G4Q::HQ:cost="<<ctc<<"="<<ctr<<", d="<<ctc-ctr<<G4endl;
+              //G4cout<<"G4Q::HQ:cost="<<ctc<<"="<<ctr<<", d="<<ctc-ctr<<G4endl;
 #ifdef debug
               G4double ccM=sqrt(ccM2);
               G4double kappa=ex/(1.+kLS*(1.-ctkk)/pMass);// Energy of the RecoilQuark in LS
-	             G4cout<<"G4Q::HQ:>ColDec>>>CF("<<ccM<<")->F("<<sMass<<")+q"<<kp4Mom<<"="
+              G4cout<<"G4Q::HQ:>ColDec>>>CF("<<ccM<<")->F("<<sMass<<")+q"<<kp4Mom<<"="
                     <<kappa<<",hsfl="<<hsflag<<G4endl;
 #endif
@@ -1667,30 +1696,30 @@
               // ***VBQ***
               //G4double rQM2=rQ4Mom.m2();             // TMP (Before the "kt" is defined)
-			           //if(rQM2>=minSqB && fr4Mom.e()>=sCBE)   // minSqB = SqGSMass of BoundResidQ
+              //if(rQM2>=minSqB && fr4Mom.e()>=sCBE)   // minSqB = SqGSMass of BoundResidQ
               // ***VFQ***
               //G4double rQM2=rQ4Mom.m2();             // TMP (Before the "kt" is defined)
-			           //if(rQM2>=minSqT && fr4Mom.e()>=sCBE)   // minSqB = SqGSMass of BoundResidQ
+              //if(rQM2>=minSqT && fr4Mom.e()>=sCBE)   // minSqB = SqGSMass of BoundResidQ
               // ***VQU***
               fQ4Mom=rQ4Mom+G4LorentzVector(0.,0.,0.,tmpBE); // Free Quasmon 4-mom
               G4double fQM2=fQ4Mom.m2();             // TMP (Before the "kt" is defined)
-			           if(fQM2>=minSqT && reTNM2>=tmpTM2 && fr4Mom.e()>=sCBE) // minSqT = SqGSMass
+              if(fQM2>=minSqT && reTNM2>=tmpTM2 && fr4Mom.e()>=sCBE) // minSqT = SqGSMass
               {
-														  qCond=false;  // Ok, the appropriate q is found
+                qCond=false;  // Ok, the appropriate q is found
                 //ffdc=false;
 #ifdef debug
                 // ***VTN***
-			             //G4cout<<"G4Q::HQ:Attemp#"<<qCount<<".Yes.M2="<<reTNM2<<">"<<tmpTM2
+                //G4cout<<"G4Q::HQ:Attemp#"<<qCount<<".Yes.M2="<<reTNM2<<">"<<tmpTM2
                 //      <<" & E="<<fr4Mom.e()<<" > CB+M="<<sCBE<<G4endl;
                 // ***VBQ***
-			             //G4cout<<"G4Q::HQ:Attemp#"<<qCount<<".Yes.M2="<<rQM2<<">"<<minSqB<<G4endl;
+                //G4cout<<"G4Q::HQ:Attemp#"<<qCount<<".Yes.M2="<<rQM2<<">"<<minSqB<<G4endl;
                 // ***VQU***+***VFQ***
-			             G4cout<<"G4Q::HQ:Attemp#"<<qCount<<".Yes.M2="<<fQM2<<">"<<minSqT<<G4endl;
-#endif
-			           }
-			           else
+                G4cout<<"G4Q::HQ:Attemp#"<<qCount<<".Yes.M2="<<fQM2<<">"<<minSqT<<G4endl;
+#endif
+              }
+              else
               {
 #ifdef debug
                 // ***VTN***
-			             //G4cout<<"G4Q::HQ:Attempt#"<<qCount<<",NO.M2="<<reTNM2<<"<"<<tmpTM2
+                //G4cout<<"G4Q::HQ:Attempt#"<<qCount<<",NO.M2="<<reTNM2<<"<"<<tmpTM2
                 //      <<" or E="<<fr4Mom.e()<<" < CB+M="<<sCBE<<G4endl;
                 // ***VBQ***
@@ -1707,5 +1736,5 @@
                 // ***VTN***
                 //if(reTNM2<tmpTM2 && reTNM2>MEMrQM2 && fr4Mom.e()>=sCBE)
-			             {
+                {
                   // ***VQU***
                   MEMrQM2=fQM2;
@@ -1723,8 +1752,8 @@
                 else if(fr4Mom.e()<sCBE&&fr4Mom.e()>MEMsCBE&&reTNM2>=tmpTM2&&fQM2>MEMrQM2)
                 // ***VBQ***VFQ***
-                //else if(fr4Mom.e()<sCBE&&fr4Mom.e()>MEMsCBE&&reTNM2>=tmpTM2&&rQM2>MEMrQM2)
+                //else if(fr4Mom.e()<sCBE&&fr4Mom.e()>MEMsCBE&&reTNM2>tmpTM2&&rQM2>MEMrQM2)
                 // ***VTN***
                 //else if(fr4Mom.e()<sCBE && fr4Mom.e()>MEMsCBE && reTNM2>=tmpTM2)
-			             {
+                {
                   MEMsCBE=fr4Mom.e(); // Remember the best choice
                   MEMkp4M=kp4Mom;
@@ -1734,5 +1763,5 @@
                 }
                 else if(!qCount)                 //@@ Should not be here
-			             {
+                {
                   // ***VQU***
                   MEMrQM2=fQM2;
@@ -1749,5 +1778,5 @@
                 }
                 else
-			             {
+                {
                   // ***VQU***
                   fQM2=MEMrQM2;
@@ -1761,12 +1790,12 @@
                   rQ4Mom=MEMrQ4M;
                   reTNM2=MEMreM2;
-			             }
-			           }
+                }
+              }
               qCount++;
-		          } // End of the WHILE of the q-choice for the fixed parent
+            } // End of the WHILE of the q-choice for the fixed parent
             // If q-choice is exhosted, then get the best, not the last
             quexf=true;                      // Quark Exchange is successfully done
 #ifdef debug
-	           G4cout<<"G4Q::HadQ:RQ("<<rQ4Mom.m()<<")=C("<<cr4Mom.m()<<")+q"<<kp4Mom<<G4endl;
+            G4cout<<"G4Q::HadQ:RQ("<<rQ4Mom.m()<<")=C("<<cr4Mom.m()<<")+q"<<kp4Mom<<G4endl;
 #endif
             kt=rQ4Mom.m2();
@@ -1786,37 +1815,37 @@
             tot4Mom-=rQ4Mom+fr4Mom;
 #ifdef debug
-	           G4cout<<"G4Q::HQ:t4M="<<tot4Mom<<",hsfl="<<hsflag<<".Is kt="<<kt<<">"<<minSqB
+            G4cout<<"G4Q::HQ:t4M="<<tot4Mom<<",hsfl="<<hsflag<<".Is kt="<<kt<<">"<<minSqB
                   <<" or kn="<<kn<<">"<<minSqN<<"? m2="<<m2<<", sPDG="<<sPDG<<G4endl;
 #endif
             // Final check to accept or reject the quark-exchange
             // ***VFQ***
-		          //if(kn<minSqN && kt<minSqT)
+            //if(kn<minSqN && kt<minSqT)
             // ***VQU***
-		          if(kn<minSqN && ku<minSqT)
+            if(kn<minSqN && ku<minSqT)
             // ***VBQ***
-		          //if(kn<minSqN && kt<minSqB)
+            //if(kn<minSqN && kt<minSqB)
             //if(kt<minSqT&&ffdc) 
-		          //if(kt<minSqT)
+            //if(kt<minSqT)
             // ***VTN*** (former default)
-		          //if(sPDG<MINPDG&&kt<minSqB||sPDG>MINPDG&&kn<minSqN)
-										  //if(sPDG<MINPDG&&kt<minSqB||sPDG>MINPDG&&kt<minSqB)
-		          //if(kn<minSqN)
+            //if(sPDG<MINPDG&&kt<minSqB||sPDG>MINPDG&&kn<minSqN)
+            //if(sPDG<MINPDG&&kt<minSqB||sPDG>MINPDG&&kt<minSqB)
+            //if(kn<minSqN)
             // ***VTN***
-		          //if(kt<minSqT&&sPDG!=90000001||kn<minSqN&&sPDG==90000001)//Nucleus for Neutron
-		          //if(kt<minSqT&&sMass>1200.||kn<minSqN&&sMass<1200.) //NuclEnreach for Nucleons
+            //if(kt<minSqT&&sPDG!=90000001||kn<minSqN&&sPDG==90000001)//Nucleus for Neutron
+            //if(kt<minSqT&&sMass>1200.||kn<minSqN&&sMass<1200.) //NuclEnreach for Nucleons
             // @@@@ Priveleged Nuteron !! ??? @@@@@
-		          //if(kn<minSqN&&sPDG==90000001||kt<minSqB&&sPDG!=90000001)//BindEnOnlyForNuter.
+            //if(kn<minSqN&&sPDG==90000001||kt<minSqB&&sPDG!=90000001)//BindEnOnlyForNuter.
             {
               hsflag=true; // The quark exchange is REJECTED
 #ifdef debug
-	             G4cout<<"G4Q::HQ:**hsflag=1** No, sPDG="<<sPDG<<", kt="<<kt<<"<"<<minSqB
+              G4cout<<"G4Q::HQ:**hsflag=1** No, sPDG="<<sPDG<<", kt="<<kt<<"<"<<minSqB
                     <<" or kn="<<kn<<"<"<<minSqN<<G4endl;
 #endif
-		          }
-#ifdef debug
-	           else G4cout<<"G4Q::HQ:YES,t="<<kt<<">"<<minSqB<<",n="<<kn<<">"<<minSqN<<G4endl;
-#endif
-		        }
-	       }
+            }
+#ifdef debug
+            else G4cout<<"G4Q::HQ:YES,t="<<kt<<">"<<minSqB<<",n="<<kn<<">"<<minSqN<<G4endl;
+#endif
+          }
+        }
         else                                 // ==> "HadronicCandidate hadronization" case
         {
@@ -1839,5 +1868,5 @@
             else            TCRN+=env4M;
             kn=TCRN.m2();                  // tot4M - fr4Mom
-		        }
+          }
           else kn=kt;
         }
@@ -1857,16 +1886,16 @@
         // ***VBQ***
         if(kt>minSqB+.01 && tM>rtM && !hsflag)
-						  //if((kt>minSqB+.01&&sPDG<MINPDG || sPDG>MINPDG&&kt>minSqB+.01&&tM>rtM) && !hsflag)
+        //if((kt>minSqB+.01&&sPDG<MINPDG || sPDG>MINPDG&&kt>minSqB+.01&&tM>rtM) && !hsflag)
         // ***VTN***
         //if((kt>minSqB+.01&&sPDG<MINPDG || sPDG>MINPDG&&kn>minSqN+.01&&tM>rtM) && !hsflag)
         //if(tM>rtM&&!hsflag)                               // Mass(RNucleus)>M_min
         //if(tM>rtM&&kp<kpMax&&!hsflag)                     // Mass(RNucleus)>M_min
-	       //if(2>3)                                      // *** Close k-correction ***
-	       {
+        //if(2>3)                                      // *** Close k-correction ***
+        {
           // ***VTN*** (?)
-		        //if(sPDG<MINPDG)                      // Hadronic candidate: finish calculations
+          //if(sPDG<MINPDG)                      // Hadronic candidate: finish calculations
           // ***VBQ***VFQ***VQU***
-		        //if(2>3)                             // Close crrection for hadrons @@?p-pbar?@@
-	         //{
+          //if(2>3)                             // Close crrection for hadrons @@?p-pbar?@@
+          //{
           //  G4double np = nOfQ - 3;             // Power for an residual quasmon mass
           //  G4double cM = pow(minSqB/kt,np);    // Cut for PossibleQuasmon residual mass
@@ -1878,5 +1907,5 @@
 #endif
           //  m2 = kt*rn;                         // SquaredMass of ResidualQuasmon (hadr)
-	         //}
+          //}
           //else
           //{
@@ -1887,13 +1916,13 @@
           //}
         }
-	       else
+        else
         {
           hsflag=true;                          // Decay in ThisHadron/Fragment+(SHadron)
 #ifdef pdebug
-		        G4cout<<"G4Q::HQ:NO,hsfl=1,kt="<<kt<<"<"<<minSqB<<" or M="<<tM<<"<"<<rtM<<G4endl;
-#endif
-	       }
-#ifdef debug
-	       G4cout<<"G4Q::HQ:*****>>>rM="<<rMass<<",sqM2="<<sqrt(m2)<<",hsfl="<<hsflag<<G4endl;
+          G4cout<<"G4Q::HQ:NO,hsfl=1,kt="<<kt<<"<"<<minSqB<<" or M="<<tM<<"<"<<rtM<<G4endl;
+#endif
+        }
+#ifdef debug
+        G4cout<<"G4Q::HQ:*****>>>rM="<<rMass<<",sqM2="<<sqrt(m2)<<",hsfl="<<hsflag<<G4endl;
 #endif
         rMass=sqrt(m2);                         // if(hsflag)(TwoPartDecay) it's fake 0.
@@ -1907,5 +1936,5 @@
         G4int aPDG  = abs(rPDG);
         G4int rb    = abs(curQ.GetBaryonNumber()); // BaryNum of residual hadronic state
-        G4double rcMass=-BIG; //@@ just BIG number // Prototype of minimal mass for residual
+        G4double rcMass=-BIG; //@@ just BIG number // Prototype of minimalMass for residual
         if (!rPDG)
         {
@@ -1924,9 +1953,9 @@
         if(sPDG<MINPDG&&envPDG==NUCPDG)rFl=G4UniformRand()<bs*bs*bs/m3;//ProbFun:minM^3/m^3
 #ifdef debug
-	       G4cout<<"G4Q::HQ: sPDG="<<sPDG<<", hsflag="<<hsflag<<", rPDG="<<rPDG<<curQ<<",rM="
+        G4cout<<"G4Q::HQ: sPDG="<<sPDG<<", hsflag="<<hsflag<<", rPDG="<<rPDG<<curQ<<",rM="
               <<rMass<<",rb="<<rb<<",F="<<rFl<<",v="<<m2<<","<<bs<<",r="<<bs*bs/m2<<G4endl;
 #endif
         if(!hsflag&&rFl&&rPDG&& rPDG!=10 && rb<2 && aPDG!=1114 && aPDG!=2224 && aPDG!=3334)
-	       { // ------------------------------->>>>>>>>>>>>>>> Hadron-Parton Duality decay
+        { // ------------------------------->>>>>>>>>>>>>>> Hadron-Parton Duality decay
           G4int regPDG = 0;                            // PDG prototype for G-meson
           G4int refPDG = 0;                            // PDG prototype for F-meson
@@ -1934,5 +1963,5 @@
           G4int repPDG = 0;                            // PDG prototype for P-meson
           if(rPDG && rPDG!=10)                         // Can the residual be a Hadron ?
-	         {
+          {
             if     (rPDG== 3122) rPDG= 3212;           // LAMBDA* converted to SIGMA*
             else if(rPDG==-3122) rPDG=-3212;
@@ -1947,5 +1976,5 @@
             //if((rPDG==221||rPDG==331)&&sPDG==111) rPDG=111; // eta/eta'=>Pi0
 #ifdef debug
-	           G4cout<<"G4Q::HQ:QuasM="<<quasM<<valQ<<")->H("<<sPDG<<")+R("<<rPDG<<")"<<",rp="
+            G4cout<<"G4Q::HQ:QuasM="<<quasM<<valQ<<")->H("<<sPDG<<")+R("<<rPDG<<")"<<",rp="
                   <<repPDG<<",rd="<<redPDG<<",rf="<<refPDG<<",rg="<<regPDG<<G4endl;
 #endif
@@ -1969,15 +1998,15 @@
             if(((rM>0 && rMass<pB && rMass>sB) || (dM>0 && rMass>pB && rMass<dB) ||
                (fM>0 && rMass>dB && rMass<fB)) && theEnvironment.GetPDG()==NUCPDG)
-		          {// Final H+R decay of QUASMON in vacuum (should not exist if Environ exists)
+            {// Final H+R decay of QUASMON in vacuum (should not exist if Environ exists)
               if     (rMass>pB && rMass<dB && dM>0)    // D-resonance case
-		            {
+              {
                 repPDG=redPDG;
                 rM=dM;
-		            }
+              }
               else if(rMass>dB && rMass<fB && dM>0)    // F-resonance case
-		            {
+              {
                 repPDG=refPDG;
                 rM=fM;
-		            }                                        // If not changed - P-resonance
+              }                                        // If not changed - P-resonance
 #ifdef debug
               G4cout<<"G4Q::HQ:s="<<sPDG<<",Q=>rM="<<rMass<<"(minQ="<<rPDG<<curQ<<")+sB="
@@ -1985,13 +2014,13 @@
 #endif
               if(quasM<rM+sMass &&(sPDG==221||sPDG==331))// Change eta-Cand to pi-Cand
-	             {
+              {
                 sPDG=111;
                 sMass=mPi0;
-  	           }
+              }
               G4LorentzVector r4Mom(0.,0.,0.,rM);    // P/D/F-resonance with a random Mass
               G4LorentzVector s4Mom(0.,0.,0.,sMass); // Mass's random since ProbabilityTime
               G4double sum=rM+sMass;
               if(fabs(quasM-sum)<eps)
-		            {
+              {
                 r4Mom=q4Mom*(rM/sum);
                 s4Mom=q4Mom*(sMass/sum);
@@ -2001,8 +2030,8 @@
                 G4cerr<<"**G4Quasmon::HadronizeQuasmon:rPD="<<repPDG<<"(rM="<<rMass
                       <<")+sPD="<<sPDG<<"(sM="<<sMass<<"), Env="<<theEnvironment<<G4endl;
-    	           throw G4QException("G4Quasmon::HadronizeQuasmon: H+Res Decay failed");
+                throw G4QException("G4Quasmon::HadronizeQuasmon: H+Res Decay failed");
               }
 #ifdef debug
-	             G4cout<<"G4Q::HQ:=== 1 ===> HadronVec, Q="<<q4Mom<<" -> s4M="<<s4Mom<<"("
+              G4cout<<"G4Q::HQ:=== 1 ===> HadronVec, Q="<<q4Mom<<" -> s4M="<<s4Mom<<"("
                     <<sPDG<<"), r4M="<<r4Mom<<"("<<repPDG<<")"<<G4endl;
 #endif
@@ -2020,6 +2049,6 @@
               qEnv=theEnvironment;                   // Update the QEnvironment
               return theQHadrons;                    // The last decay of the quasmon...
-	           }
-	         }
+            }
+          }
         }
         curQ = memQ;                                   // Recover original curQ=valQ-candQ
